[true_bus]=xlsread('meas_true.xlsx','true_bus_meas');
[true_line]=xlsread('meas_true.xlsx','true_line_meas');
[total_busmeas]=xlsread('meas_total.xlsx','total_bus_meas');
[total_linemeas]=xlsread('meas_total.xlsx','total_line_meas');
    
VM_est=x_est(:,1);
VA_est=x_est(:,2);

VM_true=true_bus(2*nob+1:3*nob,1);
VA_true=true_bus(3*nob+1:4*nob,1);

x_err_abs=abs(VM_true-VM_est);
x_err_ang=abs(VA_true-VA_est);
x_idx=1:nob;

figure;
plot(x_idx',x_err_abs);
xlabel('Bus Number');
ylabel('Absolute error in voltage magnitude');

figure;
plot(x_idx',x_err_ang);
xlabel('Bus Number');
ylabel('Absolute error in voltage angle in radian');

clear VM_true VA_true VM_est VA_est x_err_abs x_err_ang x_idx;